import sys
import os
import os.path
import pygame
import olpcgames
from olpcgames.util import get_bundle_path
import logging

log = logging.getLogger( 'MathRace' )

def excepthook(exctype, value, traceback):
    log.error( """Unhandled Exception: %s %s\n%s""", exctype, value, traceback )

sys.excepthook = excepthook

def main():
    path = os.path.join(get_bundle_path(), 'core')
    os.chdir(path)
    sys.path.insert(0,path)
    import core.mathracegame
